
CC=gcc

CFLAGS=-O2 -I. -g
LDFLAGS=-L. -lhyphen

LIBS=libhyphen.a

AR=ar rc
RANLIB=ranlib

OBJS = hnjalloc.o hyphen.o

all: libhyphen.a

libhyphen.a: $(OBJS)
	$(AR) $@ $(OBJS)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

%.o: %.c 
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o *~ libhyphen.a libhyphen.so*

distclean:	clean

depend:
	makedepend -- $(CFLAGS) -- *.[ch]xx

# DO NOT DELETE THIS LINE -- make depend depends on it.

hnjalloc.o: hnjalloc.h
hyphen.o: hyphen.h hnjalloc.h

